## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUXalanNumberFormatProxy Class Reference

`#include <ICUXalanNumberFormatProxy.hpp>`

Inheritance diagram for ICUXalanNumberFormatProxy

Collaboration diagram for ICUXalanNumberFormatProxy:

List of all members.

## Public Methods

- ICUXalanNumberFormatProxy ()
- virtual ~ICUXalanNumberFormatProxy ()
- virtual XalanDOMString format (double theValue)
    Format a number into a string. More...
- virtual void format ( double theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (int theValue)
    Format a number into a string. More...
- virtual void format ( int theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned int theValue)
    Format a number into a string. More...
- virtual void format ( unsigned int theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (long theValue)
    Format a number into a string. More...
- virtual void format ( long theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned long theValue)
    Format a number into a string. More...
- virtual void format ( unsigned long theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual bool isGroupingUsed () const
    Whether groupings are used for numbers, for example, "234,678". More...
- virtual void setGroupingUsed (bool bUsed)
    Change whether groupings are used for numbers, for example, "234,678". More...
- virtual void setGroupingSize (unsigned long size)
    Change the size of groupings, for example, "234,678" uses a size of "3". More...
- virtual void setGroupingSeparator (const XalanDOMString& s)
    Change the separator string used for groupings, for example, "234,678" uses the separator ",". More...

## Constructor & Destructor Documentation

ICUXalanNumberFormatProxy::ICUXalanNumberFormatProxy ( | )`[explicit]`

virtual ICUXalanNumberFormatProxy::~ICUXalanNumberFormatProxy ( | )`[virtual]`

## Member Function Documentation

virtual void ICUXalanNumberFormatProxy::format ( | unsigned long theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented from XalanNumberFormat.

virtual XalanDOMString ICUXalanNumberFormatProxy::format ( | unsigned long theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::format ( | long theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented from XalanNumberFormat.

virtual XalanDOMString ICUXalanNumberFormatProxy::format ( | long theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::format ( | unsigned int theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented from XalanNumberFormat.

virtual XalanDOMString ICUXalanNumberFormatProxy::format ( | unsigned int theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::format ( | int theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented from XalanNumberFormat.

virtual XalanDOMString ICUXalanNumberFormatProxy::format ( | int theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::format ( | double theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented from XalanNumberFormat.

virtual XalanDOMString ICUXalanNumberFormatProxy::format ( | double theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented from XalanNumberFormat.

virtual bool ICUXalanNumberFormatProxy::isGroupingUsed ( | ) const`[virtual]`

Whether groupings are used for numbers, for example, "234,678".

Returns:
  true if grouping used

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::setGroupingSeparator ( | const XalanDOMString & s )`[virtual]`

Change the separator string used for groupings, for example, "234,678" uses the separator ",".

Parameters:

  s | grouping separator string

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::setGroupingSize ( | unsigned long size )`[virtual]`

Change the size of groupings, for example, "234,678" uses a size of "3".

Parameters:

  size | the grouping size

Reimplemented from XalanNumberFormat.

virtual void ICUXalanNumberFormatProxy::setGroupingUsed ( | bool bUsed )`[virtual]`

Change whether groupings are used for numbers, for example, "234,678".

Parameters:

  bUsed | true to use grouping

Reimplemented from XalanNumberFormat.

The documentation for this class was generated from the following file:

- ICUXalanNumberFormatProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.